jQuery(document).ready(function($) { // Allow use of $ shortcut
	var isResponsive = true; // If true, reposition notes on resize
	var noteSpace = 0; // Buffer spacing to add between tightly positioned notes (in px)
	var noteAdjust = 0; // Distance to arbitrarily adjust note position (in px)
	function placeNotes() {
		for (n = 1, countNotes = $('li.side-matter-notes').length; n <= countNotes; n++) { // Iterate through notes and position each
			var ref = 'a#ref-' + n; // ID of reference anchor
			var note = 'li#note-item-' + n; // ID of annotation list item
			var refPosition = $(ref).position().top; // Position of reference anchor
			var notePosition = $(note).position().top; // Position of annotation list item
			var noteOffset = refPosition - notePosition - noteAdjust; // Get offset from reference to note, minus noteAdjust
			var finalNoteOffset = (noteOffset < 0 ? noteSpace : noteOffset); // If negative offset, apply noteSpace
			$(note).css('marginTop', finalNoteOffset); // Position note
		}
	}
	placeNotes(); // Run placeNotes() loop on load
	placeNotes(); // Run a second time to correct misplacements
	$(window).resize(function() { // Reposition notes in the event of window resize/zoom
		if (isResponsive) { // Only reposition if isResponsive is true
			var isResizing;
			var timeoutInterval = 500; // Time (in ms) to delay reposition
			function doneResizing() {
				placeNotes();
			}
			clearTimeout(isResizing);
			isResizing = setTimeout(doneResizing, timeoutInterval);
		}
	});
});